// Select
//
// Replaces the browser default select with a custom one, mostly pulled from
// https://primer.github.io/.

.form-select {
    display: block;
    width: 100%;
    height: rem(44);
    padding: rem(10) rem(10) rem(10) rem(26);
    -moz-padding-start: subtract($form-select-padding-x, 3px);
    font-family: $font-family-primary;
    font-weight: 300;
    font-size: rem(16);
    line-height: rem(20);
    color: #bbbbbb;
    background-color: $white;
    background-image: url("../img/select_arrow.png");
    background-repeat: no-repeat;
    background-position: 100% 50%;
    border: rem(2) solid $red;
    border-radius: 22px;
    box-shadow: none;
    transition: .3s;
    appearance: none;

  &:focus {
      border-color: $red;
      outline: 0;
      @if $enable-shadows {
          @include box-shadow($form-select-box-shadow, $form-select-focus-box-shadow);
      } @else {
          // Avoid using mixin so we can pass custom focus shadow properly
          // box-shadow: $form-select-focus-box-shadow;
      }
  }

  &[multiple],
  &[size]:not([size="1"]) {
      padding-right: $form-select-padding-x;
      background-image: none;
  }

  &:disabled {
      color: $form-select-disabled-color;
      background-color: $form-select-disabled-bg;
      border-color: $form-select-disabled-border-color;
  }

  // Remove outline from select box in FF
  &:-moz-focusring {
      color: transparent;
      text-shadow: 0 0 0 $form-select-color;
  }
    @include media-breakpoint-up(xl) {
        height: rem(50);
        border-radius: 25px;
        padding: rem(13) rem(10) rem(13) rem(26);
    }
}

.form-select-sm {
    padding-top: $form-select-padding-y-sm;
    padding-bottom: $form-select-padding-y-sm;
    padding-left: $form-select-padding-x-sm;
    @include font-size($form-select-font-size-sm);
    @include border-radius($form-select-border-radius-sm);
}

.form-select-lg {
    padding-top: $form-select-padding-y-lg;
    padding-bottom: $form-select-padding-y-lg;
    padding-left: $form-select-padding-x-lg;
    @include font-size($form-select-font-size-lg);
    @include border-radius($form-select-border-radius-lg);
}

option {
    color: $dark;
}

option:hover {
    color: #fff;
}
